National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2018-12098 Detail

Current Description

** DISPUTED ** The liblnk_data_block_read function in liblnk_data_block.c in liblnk through 2018-04-19 allows remote attackers to cause an information disclosure (heap-based buffer over-read) via a crafted lnk file. NOTE: the vendor has disputed this as described in libyal/liblnk issue 33 on GitHub.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: 5.5 MEDIUM
Vector:  CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N

Vendor Statements (disclaimer)

Official Statement from liblnk (08/10/2018)

For more information please visit https://github.com/libyal/liblnk/issues/33.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://seclists.org/fulldisclosure/2018/Jun/33 Mailing List Third Party Advisory

Weakness Enumeration

CWE-ID CWE Name Source
CWE-200 Information Exposure NIST  
CWE-125 Out-of-bounds Read NIST  

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:liblnk_project:liblnk:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
20180419


Change History

4 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2018-12098
NVD Published Date:
06/19/2018
NVD Last Modified:
08/31/2018